package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFGK0 extends MwfRequest<MWFGK0, MWFGK0Response> {

    @Parameter(name = "CIF")
    MWFGK0 cif(String cif);
    @Parameter(name = "IdKlienta")
    MWFGK0 idKlienta(String idKlienta);
    @Parameter(name = "IdProduktu")
    MWFGK0 idProduktu(String idProduktu);
    @Parameter(name = "IdZadosti")
    MWFGK0 idZadosti(String idZadosti);
    @Parameter(name = "ItemTypeFolder")
    MWFGK0 itemTypeFolder(String itemTypeFolder);
    @Parameter(name = "NazevDokumentu")
    MWFGK0 nazevDokumentu(String nazevDokumentu);
    @Parameter(name = "NezakladatFolder")
    MWFGK0 nezakladatFolder(String nezakladatFolder);
    @Parameter(name = "Semantic_Type")
    MWFGK0 semanticType(String semanticType);
    @Parameter(name = "SkupinaProduktu")
    MWFGK0 skupinaProduktu(String skupinaProduktu);
    @Parameter(name = "TridaProduktu")
    MWFGK0 tridaProduktu(String tridaProduktu);
    @Parameter(name = "TypDokumentu")
    MWFGK0 typDokumentu(Long typDokumentu);
}
